body {
  position: relative;
  margin: 0 auto;
  max-width: 1900px;
  background-color: #f6f7f8;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: "Inter", sans-serif;
  height: 100%;
}

header {
  height: 25%;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  align-content: flex-end;
  flex-direction: column;
}

p {
  margin-block-start: 0;
  margin-block-end: 0;
}

.d-none {
  display: none;
}

.d-block {
  display: block;
}

button {
  cursor: pointer;
  transition: all 100ms ease-in-out;
}

h2 {
  font-weight: 400;
  font-size: 20px;
  line-height: 24px;
}

.login-main-container {
  max-width: 1440px;
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.sign-up {
  gap: 35px;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-top: 67px;
  margin-right: 122px;
}

.sign-up-mobile {
  display: none;
  gap: 35px;
  flex-direction: row;
  align-items: center;
  margin-top: 57px;
  margin-bottom: 42px;
}

#sign-up-btn,
#sign-up-btn-mobil {
  border: none;
  background-color: #2a3647;
  color: white;
  border-radius: 10px;
  padding: 15px 16px 15px 16px;
  display: flex;
  align-items: center;
  font-weight: 700;
  font-size: 16px;
  line-height: 19.2px;
}

#sign-up-btn:hover {
  background-color: #29abe2;
  box-shadow: 0px 4px 4px 0px #00000040;
}

#login-logo {
  width: 100px;
  height: 122px;
  position: absolute;
  z-index: 10;
}

#background-fade {
  position: absolute;
  width: 100vw;
  height: 100vh;
  background: rgba(255, 255, 255, 1);
  animation: opacity-fade 1s ease-in-out;
  z-index: 10;
}

#logo-container {
  position: absolute;
  top: 80px;
  left: 77px;
  animation: moving-to-target 1s ease-in-out;
  z-index: 10;
}

.fixed-center {
  position: fixed;
}

.login-form-card {
  width: 51%;
  height: 70%;
  max-width: 652px;
  max-height: 493px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 30px;
  background-color: white;
  margin: 0 auto;
  box-shadow: 0px 0px 14px 3px #0000000a;
  position: relative;
}

.login-form-card h1 {
  font-size: 61px;
  font-weight: 700;
  text-align: center;
  margin-block-start: 0;
  margin-block-end: 0;
  margin-bottom: 16px;
  margin-top: 24px;
}

#wrong-password {
  display: none;
  color: #ff8190;
  font-size: 13px;
  font-weight: 400;
  line-height: 0;
  margin-left: 5px;
}

.login-underline {
  border-bottom: 3px solid #29abe2;
  width: 150px;
  margin-bottom: 32px;
}

.inputs {
  display: flex;
  flex-direction: column;
  background-color: white;
  gap: 32px;
}

input {
  border: none;
  outline: none;
  font-size: 20px;
  line-height: 24px;
  font-weight: 400;
  cursor: pointer;
  width: 90%;
}

input::placeholder {
  color: #e8e8e8;
}

.email-input,
.password-input {
  width: 401px;
  height: 46px;
  max-width: 401px;
  max-height: 48px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  border-radius: 10px;
  padding-left: 10px;
  padding-right: 10px;
  background-color: white;
  border: 1px solid #e8e8e8;
  cursor: pointer;
}

#mail-logo,
#password-logo {
  width: 24px;
  height: 24px;
}

.check-box {
  display: flex;
  align-items: flex-end;
  margin-left: 43px;
}

.check-box img {
  margin-right: 12px;
  cursor: pointer;
}

.check-box img:hover {
  transform: scale(1.1);
  background-color: #edf2fa;
}

.bottom-btns {
  max-height: 48px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 35px;
  margin-bottom: 48px;
}

#login-btn {
  width: 110px;
  height: 48px;
  min-height: 48px;
  border-radius: 8px;
  border: none;
  background-color: #2a3647;
  color: white;
  font-size: 21px;
  font-weight: 700;
  line-height: 25.2px;
  display: flex;
  align-items: center;
  justify-content: center;
}

#login-btn:hover {
  background-color: #29abe2;
  box-shadow: 0px 4px 4px 0px #00000040;
}

#guest-login-btn {
  height: 48px;
  min-height: 48px;
  width: 177px;
  border-radius: 8px;
  border: 1px solid #2a3647;
  background-color: white;
  color: #2a3647;
  font-size: 21px;
  font-weight: 700;
  line-height: 25.2px;
  height: 48px;
  display: flex;
  align-items: center;
  justify-content: center;
}

#guest-login-btn:hover {
  color: #29abe2;
  border: 1px solid #29abe2;
  box-shadow: 0px 4px 4px 0px #00000040;
}

footer {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  flex-direction: column;
  align-items: center;
  height: 15%;
  margin-bottom: 30px;
}

footer a {
  text-decoration: none;
  color: #a8a8a8;
  font-size: 16px;
  font-weight: 400;
  line-height: 19.2px;
}

footer a:first-child {
  margin-right: 32px;
}

footer a:hover {
  color: #29abe2;
  font-weight: 700;
}

.footer-links {
  display: flex;
  width: 100%;
  justify-content: center;
  flex-direction: row;
  margin-top: 15%;
}

@keyframes moving-to-target {
  from {
    top: 33%;
    left: 40%;
    transform: translate(-40%, -40%) scale(3);
  }

  to {
    top: 80px;
    left: 77px;
    transform: translate(0, 0) scale(1);
  }
}

@keyframes moving-to-target-2 {
  from {
    top: 40%;
    left: 40%;
    transform: translate(-40%, -40%) scale(1.5);
  }

  to {
    top: 35px;
    left: 35px;
    transform: translate(0, 0) scale(1);
  }
}

@keyframes opacity-fade {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}

@keyframes fadeInOut {
  0%,
  100% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
}

@media (max-width: 1050px) {
  #logo-container {
    top: 35px;
    left: 35px;
    animation: moving-to-target-2 1s ease-in-out;
  }

  #sign-up-logo {
    width: 83px;
    height: 98px;
  }

  .sign-up {
    margin-right: 10%;
  }
}

@media (max-width: 900px) {
  .password-input {
    width: 90%;
    margin-left: 10px;
  }

  .email-input {
    width: 90%;
    margin-left: 10px;
  }
}

@media (max-width: 750px) {
  .login-form-card {
    width: 90%;
  }
}

@media (max-width: 600px) {
  .login-main-container {
    height: 90vh;
  }

  .login-form-card {
    margin-top: 33%;
  }

  .login-form-card h1 {
    font-size: 56px;
  }

  header {
    height: 20%;
  }

  .sign-up {
    display: none;
  }

  .sign-up-mobile {
    display: flex;
    margin-top: 10%;
    margin-bottom: 5%;
  }

  footer {
    margin-top: 10%;
  }

  .footer-links {
    margin-bottom: 5%;
    margin-top: 5%;
  }

  .email-input,
  .password-input {
    width: 90%;
  }

  .check-box {
    margin-top: 10%;
    margin-bottom: 7%;
  }

  #login-btn,
  #guest-login-btn {
    font-size: 16px;
  }

  .bottom-btns {
    flex-direction: column;
    margin-top: 40px;
    gap: 10px;
  }

  #login-btn {
    width: 177px;
    justify-content: center;
  }

  #login-logo {
    width: 72px;
    height: 94px;
  }

  .inputs {
    gap: 10px;
    height: 72%;
  }
}

@media (max-width: 520px) {
  .login-form-card {
    margin-top: 5%;
  }

  h1 {
    font-size: 47px;
  }

  .login-underline {
    width: 88px;
  }

  #background-fade {
    background: #2a3647;
    animation: opacity-fade 2s ease-in-out;
  }

  footer {
    position: absolute;
    bottom: 0;
    margin-bottom: 0;
  }

  .email-input {
    margin-bottom: 5%;
  }

  #wrong-password {
    font-size: 11px;
    margin-left: 0;
  }
}

@media (max-width: 420px) {
  #login-logo {
    width: 65px;
    height: 75px;
  }

  .email-input,
  .password-input {
    width: 85%;
  }

  .inputs {
    align-items: center;
  }

  .check-box {
    margin-left: 0;
  }

  h2 {
    font-size: 18px;
  }

  #login-btn,
  #guest-login-btn {
    max-width: 140px;
    max-height: 40px;
    min-height: 40px;
  }

  .check-box {
    margin-top: 7%;
    margin-bottom: 5%;
  }

  .email-input,
  .password-input {
    min-height: 40px;
  }

  #logo-container {
    top: 25px;
    left: 25px;
  }

  .login-form-card {
    height: 60%;
    margin-bottom: 33%;
  }

  .login-form-card h1 {
    margin-bottom: 10px;
  }
}

@media (max-width: 400px) {
  .login-main-container {
    height: 100vh;
  }

  .footer-links {
    margin-bottom: 3%;
    margin-top: 3%;
  }
}

@media (max-width: 380px) {
  .login-form-card h1 {
    font-size: 40px;
  }

  .check-box {
    margin-top: 5%;
    margin-bottom: 3%;
  }

  .sign-up-mobile {
    margin-bottom: 3%;
  }
}

@media (max-width: 340px) {
  .email-input,
  .password-input {
    gap: 0;
  }

  .login-underline {
    width: 67px;
  }
}
